import BasePostLayout from "../layout/BasePost/BasePostLayout";
import CoursesContainer from "./components/CoursesContainer";
import { useEffect } from "react";
import { useMainContext } from "../layout/MainProvider";
import { PostType } from "@nice/common";
export default function CoursesPage() {
	const { setSearchMode } = useMainContext();
	useEffect(() => {
		setSearchMode(PostType.COURSE);
	}, [setSearchMode]);
	return (
		<>
			<BasePostLayout>
				<CoursesContainer></CoursesContainer>
			</BasePostLayout>
		</>
	);
}
